#pragma once

#include "gamestate.h"
#include "Level.h"




class GSGame : public GameState
{

  public:

    Level                   m_Level;

    int                     m_NumTicks;
    float                   m_TickDelay;

    int                     m_GrowDelay;

    int                     m_LastScore;



    GSGame();
    virtual ~GSGame();

    virtual void            Display( IDirect3DDevice8* pDevice );

    virtual void            UpdateFrame( const float fElapsedTime );
    virtual void            UpdateFixed();

    virtual void            OnChar( int iChar );
    virtual void            OnKeyDown( int iChar );
    virtual void            OnMouse( int X, int Y, int Buttons );

    void RestartGame();

};
